<p>title: Membuat Fungsi
description:</p>
<hr />
<p>PHP sudah menyediakan lebih dari 1000 fungsi untuk operasi umum yang dapat kita gunakan. Daftar fungsi yang dimiliki PHP beserta pengelompokannya dapat diakses <a href="http://php.net/manual/en/funcref.php">disini.</a>
Selain fungsi yang sudah disediakan, kita juga dapat membuat fungsi sendiri untuk kebutuhan yang lebih spesifik pada aplikasi kita.
Berikut adalah sintaks untuk mendeklarasikan fungsi:</p>
<pre><code>function namafungsi() {
    // blok kode fungsi
}</code></pre>
<p>Membuat fungsi diawali dengan kata kunci <code>function</code> diikuti nama fungsinya dan <code>()</code>. Kemudian blok kode fungsi ditulis di dalam kurung <code>{}</code>. Nama fungsi bersifat <em>case sensitive</em>.</p>
<pre><code>function cetakPesan() {
    echo "Halo Coder!";
}</code></pre>
<p>Pada contoh di atas kita membuat fungsi dengan nama <code>cetakPesan()</code>. Fungsi tersebut memiliki satu buah baris kode di dalamnya, yakni mencetak teks bertuliskan &quot;Halo Coder!&quot;. Blok kode di dalam fungsi tidak akan dijalankan sampai fungsi tersebut dipanggil. Cara memanggil fungsi adalah dengan menuliskan nama fungsinya diikuti oleh kurung buka dan kurung tutup.</p>
<pre><code>cetakPesan();</code></pre>
<h2>Praktek</h2>
<ul>
<li>Pada editor, buatlah sebuah fungsi dengan nama <code>greetings()</code>. Di dalam fungsi tersebut tuliskan kode untuk mencetak pesan bertuliskan &quot;Selamat belajar PHP!&quot;.</li>
<li>Di baris selanjutnya di luar fungsi, panggil fungsi tersebut dengan menuliskan nama fungsinya <code>greetings();</code>. Jalankan program dan cek apakah kodemu sudah berhasil menampilkan output.</li>
</ul>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/fungsi-membuatfungsi"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>